#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
%define		archlinux	%{_arch}-linux-thread-multi
#-----------------------------------------------------------------------------
Name		:	perl-WWW-Mechanize
Version		:	1.97
Release		:	17.0.10.rel%{?dist}
Summary		:	Handy web browsing in a Perl object
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/File::HomeDir

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	perl

BuildArch	:	noarch

Requires	:	perl

#-----------------------------------------------------------------------------
%description
WWW::Mechanize supports performing a sequence of page
fetches including following links and submitting forms.
Each fetched page is parsed and its links and forms are
extracted. A link or a form can be selected, form fields
can be filled and the next page can be fetched. Mech also
stores a history of the URLs you've visited, which can be
queried and revisited.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc README.md
%{_bindir}/mech-dump
%{_datadir}/perl5/core_perl/WWW/*.pm
%{_datadir}/perl5/core_perl/WWW/Mechanize/*.pm
%{_datadir}/perl5/core_perl/WWW/Mechanize/*.pod
%{_mandir}/man1/mech-dump.1.gz
%{_mandir}/man3/*.3.gz

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	pure_install

# Fixup permissions for shared libraries from non-standard 555 to standard 755:
find									\
	%{buildroot}%{_libdir}				 		\
	-name \*.so							\
	-type f -exec chmod u+w {} \;

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name .bs -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir  {} 2>/dev/null ';'

#-----------------------------------------------------------------------------
%changelog
